textures/jb3dm13/jb_chain
{
	qer_editorimage textures/jb3dm13/jb_chain.tga
	deformVertexes autoSprite2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable

	{
		map textures/jb3dm13/jb_chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/jb3dm13/jb_sky3

{
	qer_editorimage textures/jb3dm13/jb_sky3_detail.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	//q3map_sun .77 .77 .77 80 315 70
	q3map_sun .77 1 .77 80 315 70

	q3map_surfacelight 250
	skyparms - 384 -
	{
		map textures/jb3dm13/jb_sky1_fog.tga
		tcMod scroll 0.03 0.05
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/jb3dm13/jb_sky3_detail.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.025 0.03
		tcMod scale 3 2
	}
        
}






textures/jb3dm13/id_supportborder
{
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm13/id_supportborder.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}

textures/jb3dm13/jb_metal2
{
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm13/jb_metal2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}


textures/jb3dm13/jb_flag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 100 sin 0 1 0 .7
     deformVertexes wave 100 sin 0 1 0 .4
     
        {
                map textures/jb3dm13/jb_flag.tga
                alphaFunc GE128
		rgbGen identity
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}	

textures/jb3dm13/jb_button
{
	q3map_lightimage textures/jb3dm13/jb_button_blend.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm13/jb_button.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/jb3dm13/jb_button_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 1 0 1
	}
}

textures/jb3dn13/jbfog


{
	qer_editorimage textures/jb3dm13/jbfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 256
	
	

	
	{
		map textures/jb3dm13/jb_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/jb3dm13/jb_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
		
}

textures/jb3dm13/jb_lava
{

	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
        surfaceparm fog
        surfaceparm nodrop
        fogparms ( 1 0 0 ) 50
	q3map_surfacelight 50
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/jb3dm13/jb_lava.tga
		tcMod turb 0 .2 0 .1
	}


	
}





textures/jb3dm13/sky
{
	qer_editorimage textures/jb3dm13/sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 512
	q3map_surfacelight 150
	q3map_globaltexture
	q3map_sun .5 .6 .8 100 260 50
	skyParms full 128 -
	{
		map textures/jb3dm13/sky.tga
		rgbGen identity
		tcMod scroll 0.015 0.016
		tcMod scale 4 4
		depthWrite
	}
	{
		map textures/jb3dm13/sky_detail.tga
		blendfunc add
		rgbGen identity
		tcMod scroll -0.02 -0.015
		tcMod scale 5 5
	}
}
textures/jb3dm13/jb_spiderweb
{
	qer_editorimage textures/jb3dm13/jb_spiderweb.tga
	qer_trans .8
	cull disable
	surfaceparm trans		
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
        nopicmip

	{
		map textures/jb3dm13/jb_spiderweb.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/jb3dm13/jb_pulse_trim
{
	q3map_surfacelight 300
	q3map_lightimage textures/jb3dm13/jb_pulse_trim.tga
	qer_editorimage textures/jb3dm13/jb_pulse_trim.tga
	
	{
		map textures/jb3dm13/jb_pulse_trim.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        

	{
		map textures/jb3dm13/jb_pulse4.tga
		blendfunc gl_one gl_one
//		tcmod scale .1 1
		tcmod scale .01 1
//		tcmod scroll -1 0
		tcmod scroll -1 0


	}

	
}
textures/jb3dm13/jb_web
{
	qer_editorimage textures/jb3dm13/jb_web.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	{
		map textures/jb3dm13/jb_web.tga
		blendfunc add
		rgbgen identity
	}
}
textures/jb3dm13/jb_spiderweb2
{
	qer_editorimage textures/jb3dm13/jb_spiderweb2.tga
	qer_trans .8
	cull disable
	surfaceparm trans		
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
        nopicmip

	{
		map textures/jb3dm13/jb_spiderweb2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		rgbGen		vertex
		alphaGen	vertex
	}
}
textures/jb3dm13/jb_skin
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm13/jb_skin.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jb3dm13/jb_grate
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	//surfaceparm trans		
	cull none
	nopicmip

	{
		map textures/jb3dm13/jb_grate.tga
		tcMod scale 4. 4.
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/jb3dm13/jb_floor2
{
	surfaceparm	metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jb3dm13/jb_floor2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}


textures/jb3dm13/jb_steel
{
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/jb3dm13/jb_steel.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}







